Loading...
Searching...
No Matches
BALL::PairExpInteractionEnergyProcessor Class Reference
Molecular Modeling » Solvation methods

`#include <BALL/SOLVATION/pairExpInteractionEnergyProcessor.h>`

Inheritance diagram for BALL::PairExpInteractionEnergyProcessor:

## Classes

struct | Option
struct | Default

## Public Types

enum | SurfaceType { SURFACE__UNKNOWN = 0 , SURFACE__SAS = 1 , SURFACE__SES = 2 , SURFACE__EXTERNAL = 3 }
Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Public Member Functions

Constructors and destructors
| PairExpInteractionEnergyProcessor ()
| PairExpInteractionEnergyProcessor (const PairExpInteractionEnergyProcessor &proc)
virtual | ~PairExpInteractionEnergyProcessor ()
Assignment
const PairExpInteractionEnergyProcessor & | operator= (const PairExpInteractionEnergyProcessor &proc)
virtual void | clear ()
Processor functions
virtual bool | finish ()
Public Member Functions inherited from BALL::EnergyProcessor
| EnergyProcessor ()
| EnergyProcessor (const EnergyProcessor &proc)
virtual | ~EnergyProcessor ()
const EnergyProcessor & | operator= (const EnergyProcessor &proc)
virtual bool | start ()
virtual Processor::Result | operator() (AtomContainer &fragment)
double | getEnergy () const
bool | isValid () const
bool | operator== (const EnergyProcessor &proc) const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Options

Options | options
double | alpha_
double | C1_
double | C2_
SolventDescriptor | solvent_
RDFParameter | rdf_parameter_

## Additional Inherited Members

const AtomContainer * | fragment_
double | energy_
bool | valid_

## Detailed Description

Processor for the computation of the van-derWaals interaction energy of a molecule. This processor uses a 6-exp pair potential for the calculation of dispersion and repulsion energies.

Definition at line 54 of file pairExpInteractionEnergyProcessor.h.

## Member Enumeration Documentation

## SurfaceType

enum BALL::PairExpInteractionEnergyProcessor::SurfaceType

Enumerator
SURFACE__UNKNOWN | Unknown surface.
SURFACE__SAS | Solvent assessible surface.
SURFACE__SES | Solvent excluding surface.
SURFACE__EXTERNAL | Use a surface description from a file.

Definition at line 63 of file pairExpInteractionEnergyProcessor.h.

## Constructor & Destructor Documentation

## PairExpInteractionEnergyProcessor() [1/2]

BALL::PairExpInteractionEnergyProcessor::PairExpInteractionEnergyProcessor | ( |  | ) |

Default constructor

## PairExpInteractionEnergyProcessor() [2/2]

BALL::PairExpInteractionEnergyProcessor::PairExpInteractionEnergyProcessor | ( | const PairExpInteractionEnergyProcessor & | proc | ) |

Copy constructor

## ~PairExpInteractionEnergyProcessor()

virtual BALL::PairExpInteractionEnergyProcessor::~PairExpInteractionEnergyProcessor | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::PairExpInteractionEnergyProcessor::clear | ( |  | ) |

virtual

Clear function

Reimplemented from BALL::EnergyProcessor.

## finish()

virtual bool BALL::PairExpInteractionEnergyProcessor::finish | ( |  | ) |

virtual

finish method

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## operator=()

const PairExpInteractionEnergyProcessor & BALL::PairExpInteractionEnergyProcessor::operator= | ( | const PairExpInteractionEnergyProcessor & | proc | ) |

Assignment operator

## Member Data Documentation

## alpha_

double BALL::PairExpInteractionEnergyProcessor::alpha_

protected

Definition at line 239 of file pairExpInteractionEnergyProcessor.h.

## C1_

double BALL::PairExpInteractionEnergyProcessor::C1_

protected

Definition at line 243 of file pairExpInteractionEnergyProcessor.h.

## C2_

double BALL::PairExpInteractionEnergyProcessor::C2_

protected

Definition at line 247 of file pairExpInteractionEnergyProcessor.h.

## options

Options BALL::PairExpInteractionEnergyProcessor::options

Options for the calculation of the free energy

Definition at line 231 of file pairExpInteractionEnergyProcessor.h.

## rdf_parameter_

RDFParameter BALL::PairExpInteractionEnergyProcessor::rdf_parameter_

protected

Definition at line 255 of file pairExpInteractionEnergyProcessor.h.

## solvent_

SolventDescriptor BALL::PairExpInteractionEnergyProcessor::solvent_

protected

Definition at line 251 of file pairExpInteractionEnergyProcessor.h.